"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNumber = void 0;
const isNumber = (value) => {
    if (typeof value !== 'number') {
        return false;
    }
    if (value === Infinity || value === -Infinity) {
        return false;
    }
    if (Number.isNaN(value)) {
        return false;
    }
    return Number.isFinite(value);
};
exports.isNumber = isNumber;
//# sourceMappingURL=is-number.js.map